coap_packet_t Struct Reference
Collaboration diagram for coap_packet_t:
[legend]

## Data Fields

coap_if_handle_t | hnd
| the interface handle More...
coap_address_t | src
| the packet's source address More...
coap_address_t | dst
| the packet's destination address More...
const coap_endpoint_t * | interface
int | ifindex
void * | session
| opaque session data More...
size_t | length
| length of payload More...
unsigned char | payload []
| payload More...

## Detailed Description

Definition at line 59 of file coap_io.c.

## Field Documentation

## dst

coap_address_t coap_packet_t::dst

the packet's destination address

Definition at line 62 of file coap_io.c.

## hnd

coap_if_handle_t coap_packet_t::hnd

the interface handle

Definition at line 60 of file coap_io.c.

## ifindex

int coap_packet_t::ifindex

Definition at line 65 of file coap_io.c.

## interface

const coap_endpoint_t* coap_packet_t::interface

Definition at line 63 of file coap_io.c.

## length

size_t coap_packet_t::length

length of payload

Definition at line 68 of file coap_io.c.

## payload

unsigned char coap_packet_t::payload[]

payload

Definition at line 69 of file coap_io.c.

## session

void* coap_packet_t::session

opaque session data

Definition at line 66 of file coap_io.c.

## src

coap_address_t coap_packet_t::src

the packet's source address

Definition at line 61 of file coap_io.c.

The documentation for this struct was generated from the following file:

- coap_io.c